<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DocumentScannerService (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DocumentScannerService (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DocumentScannerService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerSaneServiceImpl.html" title="class in io.mosip.registration.device.scanner.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerWiaServiceImpl.html" title="class in io.mosip.registration.device.scanner.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/impl/DocumentScannerService.html" target="_top">Frames</a></li>
<li><a href="DocumentScannerService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.scanner.impl</div>
<h2 title="Class DocumentScannerService" class="title">Class DocumentScannerService</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.device.scanner.impl.DocumentScannerService</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html" title="interface in io.mosip.registration.device.scanner">IMosipDocumentScannerService</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerSaneServiceImpl.html" title="class in io.mosip.registration.device.scanner.impl">DocumentScannerSaneServiceImpl</a>, <a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerWiaServiceImpl.html" title="class in io.mosip.registration.device.scanner.impl">DocumentScannerWiaServiceImpl</a></dd>
</dl>
<hr>
<br>
<pre>@Service
public abstract class <span class="typeNameLabel">DocumentScannerService</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html" title="interface in io.mosip.registration.device.scanner">IMosipDocumentScannerService</a></pre>
<div class="block">This class is used to handle all the requests related to scanner devices
 through Sane Daemon service</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>balamurugan.ramamoorthy</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#scannerDepth">scannerDepth</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#scannerhost">scannerhost</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#scannerImgType">scannerImgType</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#scannerPort">scannerPort</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#scannerTimeout">scannerTimeout</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#DocumentScannerService--">DocumentScannerService</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#asImage-java.util.List-">asImage</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a>&gt;&nbsp;bufferedImages)</code>
<div class="block">This method is used to merge all the scanned images into single image side by
 side</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#asPDF-java.util.List-">asPDF</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a>&gt;&nbsp;bufferedImages)</code>
<div class="block">This method converts the separate scanned file into single document</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#getBufferedImageFromBytes-byte:A-">getBufferedImageFromBytes</a></span>(byte[]&nbsp;imageBytes)</code>
<div class="block">converts bytes to BufferedImage</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#getImageBytesFromBufferedImage-java.awt.image.BufferedImage-">getImageBytesFromBufferedImage</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a>&nbsp;bufferedImage)</code>
<div class="block">This method converts the BufferedImage to byte[]</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#isListNotEmpty-java.util.List-">isListNotEmpty</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;?&gt;&nbsp;values)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerService.html#pdfToImages-byte:A-">pdfToImages</a></span>(byte[]&nbsp;pdfBytes)</code>
<div class="block">This method is used to convert the pdf file into images</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.registration.device.scanner.IMosipDocumentScannerService">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;io.mosip.registration.device.scanner.<a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html" title="interface in io.mosip.registration.device.scanner">IMosipDocumentScannerService</a></h3>
<code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html#isConnected--">isConnected</a>, <a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html#scan--">scan</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="scannerDepth">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scannerDepth</h4>
<pre>@Value(value="${DOCUMENT_SCANNER_DEPTH}")
protected&nbsp;int scannerDepth</pre>
</li>
</ul>
<a name="scannerhost">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scannerhost</h4>
<pre>@Value(value="${DOCUMENT_SCANNER_HOST}")
protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> scannerhost</pre>
</li>
</ul>
<a name="scannerPort">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scannerPort</h4>
<pre>@Value(value="${DOCUMENT_SCANNER_PORT}")
protected&nbsp;int scannerPort</pre>
</li>
</ul>
<a name="scannerTimeout">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scannerTimeout</h4>
<pre>@Value(value="${DOCUMENT_SCANNER_TIMEOUT}")
protected&nbsp;long scannerTimeout</pre>
</li>
</ul>
<a name="scannerImgType">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>scannerImgType</h4>
<pre>@Value(value="${DOCUMENT_SCANNER_IMGTYPE}")
protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> scannerImgType</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DocumentScannerService--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DocumentScannerService</h4>
<pre>public&nbsp;DocumentScannerService()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getImageBytesFromBufferedImage-java.awt.image.BufferedImage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImageBytesFromBufferedImage</h4>
<pre>public&nbsp;byte[]&nbsp;getImageBytesFromBufferedImage(<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a>&nbsp;bufferedImage)
                                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">This method converts the BufferedImage to byte[]</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html#getImageBytesFromBufferedImage-java.awt.image.BufferedImage-">getImageBytesFromBufferedImage</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html" title="interface in io.mosip.registration.device.scanner">IMosipDocumentScannerService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bufferedImage</code> - - holds the scanned image from the scanner</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>byte[] - scanned document Content</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - - holds the ioexcepion</dd>
</dl>
</li>
</ul>
<a name="asPDF-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asPDF</h4>
<pre>public&nbsp;byte[]&nbsp;asPDF(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a>&gt;&nbsp;bufferedImages)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html#asPDF-java.util.List-">IMosipDocumentScannerService</a></code></span></div>
<div class="block">This method converts the separate scanned file into single document</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html#asPDF-java.util.List-">asPDF</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html" title="interface in io.mosip.registration.device.scanner">IMosipDocumentScannerService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bufferedImages</code> - - the scanned files</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>byte[] - The single document which contains all the scanned files</dd>
</dl>
</li>
</ul>
<a name="asImage-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asImage</h4>
<pre>public&nbsp;byte[]&nbsp;asImage(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a>&gt;&nbsp;bufferedImages)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html#asImage-java.util.List-">IMosipDocumentScannerService</a></code></span></div>
<div class="block">This method is used to merge all the scanned images into single image side by
 side</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html#asImage-java.util.List-">asImage</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html" title="interface in io.mosip.registration.device.scanner">IMosipDocumentScannerService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bufferedImages</code> - - holds all the separate scanned pages</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>byte[] - The final single file which contains all the scanned files</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - - holds the ioexception</dd>
</dl>
</li>
</ul>
<a name="pdfToImages-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pdfToImages</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a>&gt;&nbsp;pdfToImages(byte[]&nbsp;pdfBytes)
                                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html#pdfToImages-byte:A-">IMosipDocumentScannerService</a></code></span></div>
<div class="block">This method is used to convert the pdf file into images</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html#pdfToImages-byte:A-">pdfToImages</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../io/mosip/registration/device/scanner/IMosipDocumentScannerService.html" title="interface in io.mosip.registration.device.scanner">IMosipDocumentScannerService</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pdfBytes</code> - - pdf file in bytes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List - holds the list of buffered images</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - - holds the ioexception</dd>
</dl>
</li>
</ul>
<a name="getBufferedImageFromBytes-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBufferedImageFromBytes</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/image/BufferedImage.html?is-external=true" title="class or interface in java.awt.image">BufferedImage</a>&nbsp;getBufferedImageFromBytes(byte[]&nbsp;imageBytes)
                                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">converts bytes to BufferedImage</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>imageBytes</code> - - scanned image file in bytes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>BufferedImage - image file in bufferedimage format</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - - holds the ioexception</dd>
</dl>
</li>
</ul>
<a name="isListNotEmpty-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isListNotEmpty</h4>
<pre>protected&nbsp;boolean&nbsp;isListNotEmpty(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;?&gt;&nbsp;values)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DocumentScannerService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerSaneServiceImpl.html" title="class in io.mosip.registration.device.scanner.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/impl/DocumentScannerWiaServiceImpl.html" title="class in io.mosip.registration.device.scanner.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/impl/DocumentScannerService.html" target="_top">Frames</a></li>
<li><a href="DocumentScannerService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
